#!/bin/bash -eu
cd "$(dirname "$0")"
. ../lib.sh

hda='https://cloud.debian.org/images/cloud/bookworm/latest/debian-12-nocloud-amd64.qcow2'

if ! [ -f hda.qcow2 ]; then
    curl -Lo hda.qcow2 "$hda"
fi

echo "User: ${BOLD}${RED}root:${NORMAL}"
read -rp 'Continue? '

qemu "$@" \
    #-device usb-host,vendorid=0xffff,productid=0xffff
