#!/bin/bash

if [ "$EUID" != 0 ]; then
    echo "this script must be run as root" >&2
    exit
fi

BRIDGE="${1-virbr0}"

ip link del dev "$BRIDGE"

nft destroy table qemu
if [ -f restore-nft.conf ]; then
    nft -f ./restore-nft.conf
    rm restore-nft.conf
fi

kill -TERM "$(cat /var/run/dnsmasq-virbr0.pid)"
