#!/bin/bash -eu
cd "$(dirname "$0")"
. ../lib.sh

hda='https://geo.mirror.pkgbuild.com/images/latest/Arch-Linux-x86_64-basic.qcow2'

if ! [ -f hda.qcow2 ]; then
    curl -Lo hda.qcow2 "$hda"
fi

echo "User: ${BOLD}${RED}arch:arch${NORMAL}"
read -rp 'Continue? '

qemu "$@" \
    #-device usb-host,vendorid=0xffff,productid=0xffff
